# Description: Program that receives temperature data from the serial port.
# Create by: Francis
# Date: may 2019

import serial  # import the serial library
TempData = serial.Serial('com3',9600)  # open serial port with 9600 Baudrates
print(TempData.is_open) #Print and check if the port is open
print(TempData.name) # Print the name of the port
while (1):      # Infinite loop
    line = TempData.readline()  # Read the line from the serial port. 
    print(line)  # print the line in the console. 
